package com.tzld.piaoquan.recommend.server.web;

import com.tzld.piaoquan.recommend.server.gen.recommend.RecommendRequest;
import com.tzld.piaoquan.recommend.server.gen.recommend.RecommendResponse;
import com.tzld.piaoquan.recommend.server.service.RecommendService;
import com.tzld.piaoquan.recommend.server.util.JSONUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author dyp
 */
@RestController
public class RecommendController {
    @Autowired
    private RecommendService recommendService;

    @RequestMapping("/homepage/recommend")
    public String homepageRecommend(@RequestBody RecommendRequest request) {
        RecommendResponse response = recommendService.homepageRecommend(request);
        return JSONUtils.toJson(response);
    }

    @RequestMapping("/relevant/recommend")
    public String relevantRecommend(@RequestBody RecommendRequest request) {
        RecommendResponse response = recommendService.relevantRecommend(request);
        return JSONUtils.toJson(response);
    }

}
